#!/bin/bash -x
#
# Build Android toolchain
#

ANDROID_NDK_HOME="/Users/jblatecky/Library/Android/sdk/ndk-bundle"
ANDROID_ICU_UC="/Users/jblatecky/dev/libiconv-libicu-android"
ICU_UC_INCLUDE_DIR="${ANDROID_ICU_UC}/armeabi-v7a/include"
ICU_UC_LIBRARIES="${ANDROID_ICU_UC}/armeabi-v7a/lib"

cd "$(dirname $0)" &&

pushd "../swift" &&
./utils/build-script \
    -R \
    --verbose-build \
    --build-swift-static-stdlib \
    --build-swift-dynamic-stdlib=False \
    --build-swift-dynamic-sdk-overlay=False \
    --extra-cmake-options="-DICU_UC_INCLUDE_DIR=${ANDROID_ICU_UC}/armeabi-v7a/include" \
    --extra-cmake-options="-DICU_UC_LIBRARIES=${ANDROID_ICU_UC}/armeabi-v7a/lib" \
    --extra-cmake-options="-DICU_I18N_INCLUDE_DIR=${ANDROID_ICU_UC}/armeabi-v7a/include" \
    --extra-cmake-options="-DICU_I18N_LIBRARIES=${ANDROID_ICU_UC}/armeabi-v7a/lib" \
    --android \
    --android-ndk "${ANDROID_NDK_HOME:?Please set ANDROID_NDK_HOME to path to an Android NDK downloaded from http://developer.android.com/ndk/downloads/index.html}" \
    --android-api-level 24 \
    --android-icu-uc "${ANDROID_ICU_UC:?Please set ANDROID_ICU_UC to path to Android ICU downloaded from https://github.com/SwiftAndroid/libiconv-libicu-android/releases/download/android-ndk-r12/libiconv-libicu-armeabi-v7a-ubuntu-15.10-ndk-r12.tar.gz}/armeabi-v7a/lib" \
    --android-icu-uc-include "${ANDROID_ICU_UC}/armeabi-v7a/include" \
    --android-icu-i18n "${ANDROID_ICU_UC}/armeabi-v7a/lib" \
    --android-icu-i18n-include "${ANDROID_ICU_UC}/armeabi-v7a/include" &&

popd
